Qt Reference Documentation

# QStyleOptionToolBox Class Reference

The QStyleOptionToolBox class is used to describe the parameters needed for drawing a tool box. More...

     #include <QStyleOptionToolBox>

Inherits: QStyleOption.

Inherited by: QStyleOptionToolBoxV2.

- List of all members, including inherited members

## Public Types

enum | StyleOptionType { Type }
enum | StyleOptionVersion { Version }

## Public Functions

| QStyleOptionToolBox ()
| QStyleOptionToolBox ( const QStyleOptionToolBox & other )

- 2 public functions inherited from QStyleOption

## Public Variables

QIcon | icon
QString | text

- 7 public variables inherited from QStyleOption

## Detailed Description

The QStyleOptionToolBox class is used to describe the parameters needed for drawing a tool box.

QStyleOptionToolBox contains all the information that QStyle functions need to draw QToolBox.

For performance reasons, the access to the member variables is direct (i.e., using the `.` or `->` operator). This low-level feel makes the structures straightforward to use and emphasizes that these are simply parameters used by the style functions.

For an example demonstrating how style options can be used, see the Styles example.

See also QStyleOption and QToolBox.

## Member Type Documentation

### enum QStyleOptionToolBox::StyleOptionType

This enum is used to hold information about the type of the style option, and is defined for each QStyleOption subclass.

Constant | Value | Description
--- | --- | ---
`QStyleOptionToolBox::Type` | `SO_ToolBox` | The type of style option provided (SO_ToolBox for this class).

The type is used internally by QStyleOption, its subclasses, and qstyleoption_cast() to determine the type of style option. In general you do not need to worry about this unless you want to create your own QStyleOption subclass and your own styles.

See also StyleOptionVersion.

### enum QStyleOptionToolBox::StyleOptionVersion

This enum is used to hold information about the version of the style option, and is defined for each QStyleOption subclass.

Constant | Value | Description
--- | --- | ---
`QStyleOptionToolBox::Version` | `1` | 1

The version is used by QStyleOption subclasses to implement extensions without breaking compatibility. If you use qstyleoption_cast(), you normally do not need to check it.

See also StyleOptionType.

## Member Function Documentation

### QStyleOptionToolBox::QStyleOptionToolBox ()

Creates a QStyleOptionToolBox, initializing the members variables to their default values.

### QStyleOptionToolBox::QStyleOptionToolBox ( const QStyleOptionToolBox & other )

Constructs a copy of the other style option.

## Member Variable Documentation

### QIcon QStyleOptionToolBox::icon

This variable holds the icon for the tool box tab.

The default value is an empty icon, i.e. an icon with neither a pixmap nor a filename.

### QString QStyleOptionToolBox::text

This variable holds the text for the tool box tab.

The default value is an empty string.